List Dynamic Configs
curl --request GET \
--url https://statsigapi.net/console/v1/dynamic_configs \
--header 'STATSIG-API-KEY: <api-key>'import requests
url = "https://statsigapi.net/console/v1/dynamic_configs"
headers = {"STATSIG-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'STATSIG-API-KEY': '<api-key>'}};
fetch('https://statsigapi.net/console/v1/dynamic_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Dynamic Configs listed successfully.",
"data": [
{
"id": "example_config",
"name": "Example Config",
"description": "An example dynamic configuration",
"idType": "userID",
"lastModifierID": "abc123",
"lastModifiedTime": 1600000000000,
"lastModifierName": "Jane Doe",
"lastModifierEmail": "jane@example.com",
"creatorID": "def456",
"createdTime": 1500000000000,
"creatorName": "John Smith",
"creatorEmail": "john@example.com",
"targetApps": [
"myapp"
],
"holdoutIDs": [],
"tags": [
"example_tag"
],
"team": "Product",
"isEnabled": true,
"rules": [],
"defaultValue": {},
"defaultValueJson5": "{}",
"schema": "{\"$schema\":\"https://json-schema.org/draft/2020-12/schema\",\"properties\":{}}",
"schemaJson5": "{\n \"$schema\": \"https://json-schema.org/draft/2020-12/schema\",\n \"properties\": {}\n}",
"version": 1
}
]
}{
"status": 404,
"message": "Not Found. The requested resource could not be found."
}Dynamic Configs
List Dynamic Configs
GET
/
console
/
v1
/
dynamic_configs
List Dynamic Configs
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Query Parameters
Name of the creator.
ID of the user who created the entity.
Filter by tags
Results per page
Example:
10
Page number
Example:
1
Response
List Dynamic Configs Success
⌘I

